textures/ffm/aiblock
{
	qer_editorimage textures/ffm/aiblock.tga
	qer_trans .8
	
	surfaceparm ai_nopass
	
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ffm/structural
{
	qer_editorimage textures/ffm/structural.tga
	
	surfaceparm nodraw
	surfaceparm nomarks	
}

textures/ffm/ffmsky
{
	qer_editorimage textures/ffm/sky.tga
	qer_trans .5

	// cheap
	//q3map_sunExt 0.9 0.95 1.0 125 342 35 1 4
	//q3map_lightmapFilterRadius 0 8
	
	// dawn
	//q3map_sunExt 1.0 0.85 0.75 1500 185 25 //3 16
	//skyParms textures/ffm_sky/sunset - -

	// default
	q3map_sunExt 0.9 0.95 1.0 75 342 35 3 16
	
	skyParms textures/ffm_sky/ffm - -
		
	nocompress
	nofog
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm sky
	
}

textures/ffm/main
{
		qer_editorimage textures/ffm_liquids/water.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		tesssize 256
		cull disable
		deformVertexes wave 160 sin 0 2.5 0 .3
		
		{ 
			map textures/ffm_liquids/water.tga
			blendFunc blend
			rgbgen const ( 0.5 0.5 0.5 )
			alphaGen const 0.99
			depthWrite
			tcmod scale 0.25 0.33
			tcmod scroll 0.025 -0.0125
		}
	
		{ 
			map textures/ffm_liquids/water2.tga
			blendFunc blend
			rgbgen const ( 0.5 0.5 0.5 )
			alphaGen const 0.5
			tcmod scale 0.375 0.5
			tcmod scroll 0.025 0.0125
		}
		
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/ffm/water
{
		qer_editorimage textures/ffm_liquids/water.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		tesssize 256
		cull disable

		{ 
			map textures/ffm_liquids/water2.tga
			blendFunc blend
			rgbgen identity
			alphaGen const 0.99
			depthWrite
			tcmod scale 0.25 0.25
		}
	
		{ 
			map textures/ffm_liquids/water2.tga
			blendFunc blend
			rgbgen const ( 0.5 0.5 0.5 )
			alphaGen const 0.5
			tcmod scale -0.5 0.5
		}
		
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

models/mapobjects/ffm/glas
{
	nocompress
	
	{
		map models/mapobjects/ffm/glas.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}	
}

models/mapobjects/ffm/ebbelwoi
{
	nocompress

	{
		map models/mapobjects/ffm/ebbelwoi.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.1 0.1
	}
}

textures/ffm/chateau_c11
{
	qer_editorimage textures/alpha/chateau_c11.tga
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	
	{
		clampmap textures/alpha/chateau_c11.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ffm/obj_bembel
{
	nocompress
	nopicmip

	{
		map textures/ffm/obj_bembel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.5 0.5 0 2
	}
}

textures/ffm/obj_recipe
{
	nocompress
	nopicmip

	{
		map textures/ffm/obj_recipe.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.5 0.5 0 2
	}
}

textures/ffm/ebbelwoi
{
	qer_editorimage textures/ffm/ebbelwoi.tga
	qer_trans 0.5

	nocompress
	cull disable
	surfaceparm trans

	{
		map textures/ffm/ebbelwoi.tga
		//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc blend
		depthwrite
		tcmod scale 2 2
		tcmod scroll 1 2
	}
	
}

textures/ffm/trans
{
	qer_editorimage textures/ffm/trans.tga
	qer_trans 0.5

	cull disable

	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans

	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2
		tcgen environment
	}

	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/ffm/ebbelwoiglas1
{
	qer_editorimage textures/ffm/glas1.tga
	qer_trans 0.5

	cull disable

	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans

	{
		map textures/ffm/glas1.tga
		blendfunc blend
		tcmod scale .5 .5
	}

}

textures/ffm/ebbelwoi_red
{
	qer_editorimage textures/ffm/ebbelwoi.tga

	cull disable

	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans

	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2
		tcgen environment
	}

	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/ffm/ebbelwoiglas1_red
{
	qer_editorimage textures/ffm/glas1.tga

	cull disable

	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans

	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 2
		tcgen environment
	}

	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 0.6 0.6 )
	}
}

textures/ffm/nikolaiwindow
{
	qer_editorimage textures/ffm/nikolaiwindow.tga
	qer_alphaFunc gequal 0.5
	
	cull disable
	nomipmaps
	nopicmip
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	
	implicitMask -
	
}

liquids_sd/siwa_waternodraw
{
	qer_editorimage textures/common/green.tga
	qer_trans 0.5
}