models/mapobjects/ffm/apfel
{
	qer_alphafunc gequal 0.5
	cull none
	
	q3map_nonplanar
	q3map_shadeangle 179
	
	nomipmaps
	nopicmip
	
	surfaceparm trans
	surfaceparm nonsolid
	
	implicitMask -

}

models/mapobjects/ffm/lamp
{
	q3map_lightimage models/mapobjects/ffm/lamp.tga
	q3map_surfacelight 12000
	
	surfaceparm nomarks
	surfaceparm glass
			
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map models/mapobjects/ffm/lamp.blend.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map models/mapobjects/ffm/lamp.tga
		blendFunc GL_ONE GL_ONE
	}
}

models/mapobjects/ffm/lamppole
{
	surfaceparm metalsteps
	implicitmap -
}

textures/ffm/discobeam
{
	qer_editorimage textures/sfx/beam_1.tga
	qer_alphafunc gequal 0.5
	
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
	}
}

textures/ffm/flaklight
{
	qer_editorimage textures/lights/light_m21.tga
	q3map_surfacelight 8000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m21.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m21.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ffm/lightgm
{
	q3map_lightimage models/mapobjects/ffm/lamp.tga
	q3map_surfacelight 8000
	
	qer_editorimage models/mapobjects/ffm/lamp.tga
	qer_trans 0.5
	
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}

models/mapobjects/kt_kubalwagon/euro_frnt_2
{
    	cull disable
		//	surfaceparm playerclip
    
        {
                map models/mapobjects/kt_kubalwagon/euro_frnt_2.tga
                alphaFunc GE128
				depthWrite
				rgbGen vertex
        }


}

models/mapobjects/dt_jeep/dt_jeep_body
{
	qer_editorimage models/mapobjects/dt_jeep/dt_jeep_body.tga
	surfaceparm nomarks
	implicitMap models/mapobjects/dt_jeep/dt_jeep_body.tga
}
models/mapobjects/dt_jeep/dt_jeep_body_alpha
{
	qer_editorimage models/mapobjects/dt_jeep/dt_jeep_body.tga
	surfaceparm nomarks
	implicitMask models/mapobjects/dt_jeep/dt_jeep_body.tga
}
models/mapobjects/dt_jeep/dt_jeep_top
{
	qer_editorimage models/mapobjects/dt_jeep/dt_jeep_top.tga
	surfaceparm nomarks
	implicitMap models/mapobjects/dt_jeep/dt_jeep_top.tga
}
models/mapobjects/dt_jeep/dt_jeep_glass
{
	qer_editorimage models/mapobjects/dt_jeep/dt_jeep_glass.tga
	surfaceparm trans
	cull disable
	{
		map models/mapobjects/dt_jeep/dt_jeep_glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}