textures/ffm/terrain_0
{
	qer_editorimage textures/temperate_sd/grass_dense1
	
	q3map_lightmapMergable
	q3map_lightmapaxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_shadeAngle 120
	q3map_nonplanar
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	//q3map_foliage models/mapobjects/sage/grass1.md3 0.5 16 0.025 0
	//q3map_foliage models/mapobjects/sage/grass2.md3 0.5 16 0.025 0
	//q3map_foliage models/mapobjects/sage/grass3.md3 0.5 16 0.025 0
	
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
		tcmod scale 4 4
	}
	
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		//rgbgen identity
	}
	
}

textures/ffm/grass
{
	qer_editorimage textures/temperate_sd/grass_dense1
	
	//q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapaxis z
	
	surfaceparm landmine
	surfaceparm grasssteps
	
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	
}

models/mapobjects/sage/grass
{
	qer_alphaFunc greater 0.5
    surfaceparm trans
    surfaceparm pointlight
    cull disable

    // distanceCull <inner> <outer> <alpha threshold>
    distanceCull 1024 2048 0.4

    {
        map  models/mapobjects/sage/grass.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

textures/ffm/underwater_dirt
{
	qer_editorimage textures/temperate_sd/rocky_sand
	
	q3map_lightmapMergable
	q3map_lightmapaxis z
	
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen const ( 0.15 0.2 0.1 )
	}
	
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	
}

textures/ffm/underwater_wall
{
	qer_editorimage textures/battery_wall/wall03_trench
	{
		map textures/battery_wall/wall03_trench.tga
		rgbgen const ( 0.15 0.2 0.1 )
	}
	
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}	
}

textures/ffm/underwater_bricks
{
	qer_editorimage textures/ffm_sandstone/sandstone_darkred_bricks_leaking
	{
		map textures/ffm_sandstone/sandstone_darkred_bricks_leaking.tga
		rgbgen const ( 0.15 0.2 0.1 )
	}
	
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}	
}

